# coding: utf-8

"""
    Form Service API

    A list of form and Xaas APIs.  This page describes the RESTful APIs for Form Service. The APIs facilitate CRUD operations on the various resources and entities used throughout Form service (Custom Resource , Form Definition etc.) and allow operations on them (creating custom resource type , fetch form status etc.).  Some of the APIs that list collections of resources also support OData like implementation. Below query params can be used across Form and XaaS entities.  Example:  1. `$orderby` - returns a result with the rows being sorted by the values of provided attribute.      ```/form-service/api/custom/resource-types?$orderby=name%20DESC```  2. `page`, `size` - page used in conjunction with `size` helps in pagination of resources.      ```/form-service/api/custom/resource-types?page=0&size=20```   # noqa: E501

    OpenAPI spec version: 1.0
    
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""

import pprint
import re  # noqa: F401

import six

class RendererModelResponse(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """
    """
    Attributes:
      swagger_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    swagger_types = {
        'model': 'str',
        'styles': 'str',
        'form_status': 'str',
        'execution_item_id': 'str'
    }

    attribute_map = {
        'model': 'model',
        'styles': 'styles',
        'form_status': 'formStatus',
        'execution_item_id': 'executionItemId'
    }

    def __init__(self, model=None, styles=None, form_status=None, execution_item_id=None):  # noqa: E501
        """RendererModelResponse - a model defined in Swagger"""  # noqa: E501
        self._model = None
        self._styles = None
        self._form_status = None
        self._execution_item_id = None
        self.discriminator = None
        if model is not None:
            self.model = model
        if styles is not None:
            self.styles = styles
        if form_status is not None:
            self.form_status = form_status
        if execution_item_id is not None:
            self.execution_item_id = execution_item_id

    @property
    def model(self):
        """Gets the model of this RendererModelResponse.  # noqa: E501


        :return: The model of this RendererModelResponse.  # noqa: E501
        :rtype: str
        """
        return self._model

    @model.setter
    def model(self, model):
        """Sets the model of this RendererModelResponse.


        :param model: The model of this RendererModelResponse.  # noqa: E501
        :type: str
        """

        self._model = model

    @property
    def styles(self):
        """Gets the styles of this RendererModelResponse.  # noqa: E501


        :return: The styles of this RendererModelResponse.  # noqa: E501
        :rtype: str
        """
        return self._styles

    @styles.setter
    def styles(self, styles):
        """Sets the styles of this RendererModelResponse.


        :param styles: The styles of this RendererModelResponse.  # noqa: E501
        :type: str
        """

        self._styles = styles

    @property
    def form_status(self):
        """Gets the form_status of this RendererModelResponse.  # noqa: E501


        :return: The form_status of this RendererModelResponse.  # noqa: E501
        :rtype: str
        """
        return self._form_status

    @form_status.setter
    def form_status(self, form_status):
        """Sets the form_status of this RendererModelResponse.


        :param form_status: The form_status of this RendererModelResponse.  # noqa: E501
        :type: str
        """
        allowed_values = ["OFF", "ON", "INVALID", "GENERATED"]  # noqa: E501
        if form_status not in allowed_values:
            raise ValueError(
                "Invalid value for `form_status` ({0}), must be one of {1}"  # noqa: E501
                .format(form_status, allowed_values)
            )

        self._form_status = form_status

    @property
    def execution_item_id(self):
        """Gets the execution_item_id of this RendererModelResponse.  # noqa: E501


        :return: The execution_item_id of this RendererModelResponse.  # noqa: E501
        :rtype: str
        """
        return self._execution_item_id

    @execution_item_id.setter
    def execution_item_id(self, execution_item_id):
        """Sets the execution_item_id of this RendererModelResponse.


        :param execution_item_id: The execution_item_id of this RendererModelResponse.  # noqa: E501
        :type: str
        """

        self._execution_item_id = execution_item_id

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value
        if issubclass(RendererModelResponse, dict):
            for key, value in self.items():
                result[key] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, RendererModelResponse):
            return False

        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        return not self == other
